---
title: msClearEffects
slug: Web/API/HTMLMediaElement/msClearEffects
tags:
  - msClearEffects
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>


<p>The <code><strong>msClearEffects</strong></code> method of the <a href="/en-US/docs/Web/API/HTMLMediaElement"><em>HTMLMediaElement</em></a>, is a proprietary method specific to Internet Explorer and Microsoft Edge.</p>

<p><code><strong>msClearEffects</strong></code> clears all effects from the media pipeline.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="brush: js">HTMLMediaElement.msClearEffects();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>This method has no parameters.</p>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Touch">Touch API</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
